Miridia
Portal
Logistics

Drivers

The drivers operations of the Core API.

Base URL: https://api.miridia.io. Read Authentication and Conventions before you call these operations.

MethodPathOperation
GET/api/driversGet drivers

Get drivers

GET/api/drivers

Access. Send a bearer token or an API key. Any signed-in member can call this operation.

Response

200. Returns a JSON array. Each item is DriverResponse.

Request
curl -X GET "https://api.miridia.io/api/drivers" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
[
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "idNumber": "string",
    "licenseNumber": "string",
    "licenseTypeId": 0,
    "licenseRenewalDate": "2026-09-29T08:00:00Z",
    "licenseIssuedDate": "2026-09-29T08:00:00Z",
    "user": {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "firstName": "string",
      "lastName": "string",
      "email": "string",
      "phoneNumber": "string"
    }
  }
]

Models

The operations on this page use these object types. Select a type to see its fields.

DriverResponse
FieldTypeDescription
idstring (uuid)
idNumberstring
licenseNumberstring
licenseTypeIdinteger (int32)
licenseRenewalDatestring (date-time)
licenseIssuedDatestring (date-time)
userDriverUserResponse
DriverUserResponse
FieldTypeDescription
idstring (uuid)
firstNamestring
lastNamestring
emailstring
phoneNumberstring